Bug 231856 - [patch] multimedia/smplayer: update to 18.9.0, take maintainership
Summary: [patch] multimedia/smplayer: update to 18.9.0, take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: patch
Depends on:
Blocks: 231853 231854
  Show dependency treegraph
 
Reported: 2018-10-01 14:34 UTC by kikadf
Modified: 2018-10-21 17:39 UTC (History)
1 user (show)

See Also:


Attachments
patch (1.31 KB, patch)
2018-10-01 14:34 UTC, kikadf
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kikadf 2018-10-01 14:34:16 UTC
Created attachment 197680 [details]
patch

Take maintainership, version bump to the latest release, change default toolkit: Qt4 -> Qt5.

Tested with portlint, ok. Use on Freebsd 11.2-RELEASE-p4, works fine.
Comment 1 commit-hook freebsd_committer 2018-10-21 17:34:48 UTC
A commit references this bug:

Author: riggs
Date: Sun Oct 21 17:33:59 UTC 2018
New revision: 482712
URL: https://svnweb.freebsd.org/changeset/ports/482712

Log:
  Update to upstream release 18.9.0, new maintainer

  Details:
  - Update to upstream release 18.9.0
  - New maintainer: kikadf.01@gmail.com
  - Default toolkit is now QT5

  While on it:
  - Pet portlint / check-sanity

  PR:		231856
  Submitted by:	kikadf.01@gmail.com (new maintainer)

Changes:
  head/multimedia/smplayer/Makefile
  head/multimedia/smplayer/distinfo
Comment 2 Thomas Zander freebsd_committer 2018-10-21 17:39:18 UTC
Committed with minor changes to pet portlint / check-sanity.

INSTALLS_ICONS is not needed for Qt ports, see porter's handbook on "Using GNOME"